Subject: Re: linux-next: manual merge of the vhost tree with the pm tree

From: Yin Fengwei <[email-masked]>
Date: Tue, 29 Oct 2019 16:02:37 +0800

Hi,

On 2019/10/29 下午12:19, Stephen Rothwell wrote:
> Hi all,
> 
> Today's linux-next merge of the vhost tree got a conflict in:
> 
>    drivers/acpi/processor_idle.c
> 
> between commit:
> 
>    fa583f71a99c ("ACPI: processor_idle: Skip dummy wait if kernel is in guest")
> 
> from the pm tree and commit:
> 
>    a04c0533b07c ("ACPI: disable extra P_LVLx access on KVM")
Sorry for this. I only check the linus tree and didn't notice there is
this patch in pm tree.

BTW, from this patch (a04c0533b07c), it has todo to extend the
hypervisor not only for kvm. So I suppose it's time to add one more:
ACRN. Thanks.

Regards
Yin, Fengwei

> 
> from the vhost tree.
> 
> I fixed it up (I just used the pm tree version) and can carry the fix as
> necessary. This is now fixed as far as linux-next is concerned, but any
> non trivial conflicts should be mentioned to your upstream maintainer
> when your tree is submitted for merging.  You may also want to consider
> cooperating with the maintainer of the conflicting tree to minimise any
> particularly complex conflicts.
>